* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  direction: rtl;
  font-family: "IRANSans";
}
::-webkit-scrollbar {
  width: 5px;
  background: #272627;
}

::-webkit-scrollbar-thumb {
  background: #3b60ff;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.login__form,
.verify__form {
  width: 100%;
}

.sign__container {
  padding: 20px;
  display: flex;
  flex-direction: column;
  gap: 20px;
  width: 100%;
}

.sing__logo {
  width: 100%;
  display: flex;
  justify-content: center;
  gap: 8px;
  align-items: center;
}

.sings__title-text {
  font-size: 15px;
  font-weight: 700;
  line-height: 2.1;
  color: #0c0c0c;
}

.input__section {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.input__section-title {
  font-size: 12px;
  font-weight: 400;
  line-height: 1.8;
  color: #3f4064;
}

.input__section-div {
}

.input__section-input {
  width: 100%;
  border: none;
  border-radius: 8px;
  color: #3f4064;
  background: #f0f0f1;
  outline: none;
  /* border-bottom: 2px solid #19bfd3; */
  border-bottom: 2px solid #0072ff;
  height: 50px;
  padding: 10px;
}

.input__section-input.input-error {
  border-bottom: 2px solid #d32f2f;
}

.input__section-btn button {
  /* background-color: #ef4056; */
  /* border: 1px solid #ef4056; */
  background-image: linear-gradient(135deg, #0072ff 0, #000075 100%);
  color: #fff;
  border: none;
  padding: 5px;
  font-size: 16px;
  line-height: 2.15;
  border-radius: 8px;
  width: 100%;
  cursor: pointer;
}

.rules__section {
  font-size: 10px;
  font-weight: 400;
  line-height: 2.17;
  color: #3f4064;
}

.error_txt-input {
  opacity: 0;
  color: #b2001a;
  font-size: 11px;
  font-weight: 400;
  margin-top: 5px;
  display: none;
}

.err-show {
  display: block;
  opacity: 1;
  animation: fadeIn 0.5s;
  -webkit-animation: fadeIn 0.5s;
}

/* Verify Page */
#verify_code {
  text-align: center;
  letter-spacing: 20px;
  font-size: 15px;
  font-weight: bold;
}

.verify__time {
  text-align: center;
  line-height: unset;
  font-size: 12px;
}

.back__url a {
  color: #0072ff;
  text-decoration: none;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

@-moz-keyframes fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

.re_code-time2 {
  display: none;
}

.re_code-time2 a {
  color: #0072ff;
  text-decoration: none;
}
.d-none {
  display: none;
}
.d-init {
  display: initial;
}

.send__btn-verify:disabled {
  opacity: 0.8;
}
.btn-loader {
  position: relative;
}
.btn-loader span {
  opacity: 0;
}
.btn-loader::before {
  content: "";
  position: absolute;
  right: 50%;
  top: 50%;
  width: 10px;
  height: 10px;
  border: 4px solid #f3f3f378;
  border-top: 4px solid #f3f3f333;
  border-radius: 50%;
  animation: btnLoader 1.3s linear infinite;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.4);
}
.btn-loader::after {
  content: unset !important;
}
@keyframes btnLoader {
  0% {
    transform: translate(50%, -50%) rotate(0deg);
  }
  100% {
    transform: translate(50%, -50%) rotate(360deg);
  }
}

@media screen and (min-width: 600px) {
  .login__form,
  .verify__form {
    max-width: 400px;
  }

  .sign__container {
    border: 1px solid #e0e0e2;
    padding: 32px;
    border-radius: 5px;
  }

  .input__section-input {
    border: 2px solid #0072ff;
  }

  .input__section-input.input-error {
    border: 2px solid #d32f2f;
  }
}

chatgpt-sidebar,
chatgpt-sidebar-popups {
  display: none;
}

.blocked-form {
  position: relative;
}
.blocked-form::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  background: rgba(255, 255, 255, 0.3);
  cursor: not-allowed;
}
.err__alert {
  margin: 10px 20px;
  padding: 10px;
  border-radius: 2px;
  display: flex;
  align-items: center;
  gap: 5px;
}
.err__alert--danger {
  border: 1px solid #ef6464;
  background-color: #f16767;
}
.err__alert--text {
  color: #fff;
  font-size: 13px;
  font-weight: 500;
}
@media screen and (min-width: 600px) {
  .err__alert {
    margin: 10px 0 0 0;
  }
  .err__alert--text {
    font-size: 14px;
    font-weight: normal;
  }
}
